package com.gic.haoban.manage.service.service;

import java.util.List;
import java.util.Set;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.base.api.common.ServiceResponse;
import com.gic.haoban.manage.api.dto.StaffClerkRelationDTO;
import com.gic.haoban.manage.service.entity.MemberClerkChatConfig;
import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkRelation;

import org.apache.ibatis.annotations.Param;

public interface StaffClerkRelationService {

	List<StaffClerkRelationDTO> listBindCode(String enterpriseId, Set<String> clerkCodeList);

	List<StaffClerkRelationDTO> listBindCodeByStaffId(List<String> enterpriseIdList, String staffId);

	/**
	 * 删除绑定
	 * @param clerkId
	 * @return
	 */
	public boolean delBind(String clerkId,String optStaffId,int chanelCode);

	/**
	 * 绑定
	 * @param dto
	 * @return
	 */
	public String bind(StaffClerkRelationDTO dto,String optStaffId,int chanelCode);

	/**
	 * 根据clerkId 更新数据
	 * @param dto
	 * @return
	 */
	public boolean updateByClerkId(StaffClerkRelationDTO dto);

	/**
	 * 查询绑定根据clerkId
	 * @param clerkId
	 * @param wxEnterpriseId
	 * @return
	 */
	public StaffClerkRelationDTO getBindByClerkId(String clerkId,String wxEnterpriseId);
	
	StaffClerkRelationDTO getByCodeAndEnterpriseId(String clerkCode, String enterpriseId);

	String insert(StaffClerkRelationDTO staffClerkRelation);

	public int cleanStaffClerk( String wxEnterpriseId, List<String> staffIds);

	StaffClerkRelationDTO getOneBindCodeNoStatus(String enterpriseId, String clerkCode);

	StaffClerkRelationDTO getOneBindByStoreId(String staffId, String storeId);

	StaffClerkRelationDTO getByClerkId(String clerkId);

	List<StaffClerkRelationDTO> listByClerkIds(List<String> clerkList);

	List<StaffClerkRelationDTO> lisByStaffId(String wxEnterpriseId, String staffId);

	/**
	 * 保存
	 * @param memberClerkChatConfig
	 */
	public void saveChatConfig(MemberClerkChatConfig memberClerkChatConfig);

	/**
	 *
	 * @param staffId
	 * @param memberId
	 * @return
	 */
	public MemberClerkChatConfig getChatConfig(String staffId,String memberId);
	/**
	 * 根据企业查询
	 * @param wxEnterpriseId
	 * @return
	 */
	List<TabHaobanStaffClerkRelation> listByWxEnterpriseId(String wxEnterpriseId);

	Page<StaffClerkRelationDTO> pageByWxEnterpriseId(String wxEnterpriseId, BasePageInfo pageInfo);


}
